org.custommonkey.xmlunit

## Class NodeDescriptor

- java.lang.Object
- - org.custommonkey.xmlunit.NodeDescriptor

All Implemented Interfaces:
  XMLConstants

    public class NodeDescriptor
    extends java.lang.Object
    implements XMLConstants

Class for describing Nodes

### Field Summary

Fields
`protected static java.lang.String` `DOCUMENT_NODE_DESCRIPTION`

### Fields inherited from interface org.custommonkey.xmlunit.XMLConstants

`CLOSE_NODE, END_CDATA, END_COMMENT, END_PROCESSING_INSTRUCTION, NULL_NS_URI, OPEN_END_NODE, OPEN_START_NODE, START_CDATA, START_COMMENT, START_DOCTYPE, START_PROCESSING_INSTRUCTION, W3C_XML_SCHEMA_INSTANCE_NO_NAMESPACE_SCHEMA_LOCATION_ATTR, W3C_XML_SCHEMA_INSTANCE_NS_URI, W3C_XML_SCHEMA_INSTANCE_SCHEMA_LOCATION_ATTR, W3C_XML_SCHEMA_INSTANCE_TYPE_ATTR, W3C_XML_SCHEMA_NS_URI, XML_DECLARATION, XMLNS_ATTRIBUTE_URI, XMLNS_PREFIX, XPATH_ATTRIBUTE_IDENTIFIER, XPATH_CHARACTER_NODE_IDENTIFIER, XPATH_COMMENT_IDENTIFIER, XPATH_NODE_INDEX_END, XPATH_NODE_INDEX_START, XPATH_PROCESSING_INSTRUCTION_IDENTIFIER, XPATH_SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`NodeDescriptor()`

### Method Summary

Methods
`protected static void` `appendAttributeDetail(java.lang.StringBuffer buf, org.w3c.dom.Node aNode)`
`protected static void` `appendCdataSectionDetail(java.lang.StringBuffer buf, org.w3c.dom.Node aNode)`
`protected static void` `appendCommentDetail(java.lang.StringBuffer buf, org.w3c.dom.Node aNode)`
`protected static void` `appendDocumentDetail(java.lang.StringBuffer buf)`
`protected static void` `appendDocumentTypeDetail(java.lang.StringBuffer buf, org.w3c.dom.Node aNode)`
`protected static void` `appendElementDetail(java.lang.StringBuffer buf, org.w3c.dom.Node aNode, boolean notRecursing)`
`static void` `appendNodeDetail(java.lang.StringBuffer buf, NodeDetail nodeDetail)` Convert a Node into a simple String representation and append to StringBuffer
`protected static void` `appendProcessingInstructionDetail(java.lang.StringBuffer buf, org.w3c.dom.Node aNode)`
`protected static void` `appendTextDetail(java.lang.StringBuffer buf, org.w3c.dom.Node aNode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DOCUMENT_NODE_DESCRIPTION

    protected static final java.lang.String DOCUMENT_NODE_DESCRIPTION

See Also:
  Constant Field Values

### Constructor Detail

#### NodeDescriptor

    public NodeDescriptor()

### Method Detail

#### appendNodeDetail

    public static void appendNodeDetail(java.lang.StringBuffer buf,
                        NodeDetail nodeDetail)

Convert a Node into a simple String representation and append to StringBuffer

Parameters:
  `buf` -
  `aNode` -

#### appendDocumentDetail

    protected static void appendDocumentDetail(java.lang.StringBuffer buf)

#### appendDocumentTypeDetail

    protected static void appendDocumentTypeDetail(java.lang.StringBuffer buf,
                                org.w3c.dom.Node aNode)

#### appendProcessingInstructionDetail

    protected static void appendProcessingInstructionDetail(java.lang.StringBuffer buf,
                                         org.w3c.dom.Node aNode)

#### appendCommentDetail

    protected static void appendCommentDetail(java.lang.StringBuffer buf,
                           org.w3c.dom.Node aNode)

#### appendCdataSectionDetail

    protected static void appendCdataSectionDetail(java.lang.StringBuffer buf,
                                org.w3c.dom.Node aNode)

#### appendTextDetail

    protected static void appendTextDetail(java.lang.StringBuffer buf,
                        org.w3c.dom.Node aNode)

#### appendElementDetail

    protected static void appendElementDetail(java.lang.StringBuffer buf,
                           org.w3c.dom.Node aNode,
                           boolean notRecursing)

#### appendAttributeDetail

    protected static void appendAttributeDetail(java.lang.StringBuffer buf,
                             org.w3c.dom.Node aNode)